# ConnectionOptions

class `propertyestimator.client.``ConnectionOptions`(server_address='localhost', server_port=8000)

  The set of options to use when connecting to a PropertyEstimatorServer

  `server_address`

    The address of the server to connect to.

    Type

      str

  `server_port`

    The port number that the server is listening on.

    Type

      int

  Warning

  This class is still heavily under development and is subject to rapid changes.

  `__init__`(server_address='localhost', server_port=8000)

    Constructs a new ConnectionOptions object.

    Parameters

      - server_address (str) – The address of the server to connect to.

      - server_port (int) – The port number that the server is listening on.

  Methods

  `__init__`([server_address, server_port]) | Constructs a new ConnectionOptions object.
  `json`() | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.

  Attributes

  `server_address` |
  `server_port` |

  `json`()

    Creates a JSON representation of this class.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any